<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:08 CET 2009 -->
<TITLE>
ColumnRange
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.metabolic.efm.borndie.range.ColumnRange interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ColumnRange";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ColumnRange.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/CellRange.html" title="interface in ch.javasoft.metabolic.efm.borndie.range"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/DefaultCellRange.html" title="class in ch.javasoft.metabolic.efm.borndie.range"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/borndie/range/ColumnRange.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ColumnRange.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.metabolic.efm.borndie.range</FONT>
<BR>
Interface ColumnRange</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/CellRange.html" title="interface in ch.javasoft.metabolic.efm.borndie.range">CellRange</A>&gt;, <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/Range.html" title="interface in ch.javasoft.metabolic.efm.borndie.range">Range</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html" title="interface in ch.javasoft.metabolic.efm.borndie.range">RectangularRange</A></DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/DefaultColumnRange.html" title="class in ch.javasoft.metabolic.efm.borndie.range">DefaultColumnRange</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/range/ColumnRange.html#line.47"><B>ColumnRange</B></A><DT>extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html" title="interface in ch.javasoft.metabolic.efm.borndie.range">RectangularRange</A></DL>
</PRE>

<P>
A <code>ColumnRange</code> is a cell range referring to a successive row 
 range of a single column
<P>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/ColumnRange.html#getBornColumn()">getBornColumn</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the born column index of this cell</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;Col extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt; 
<BR>
<A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/AppendableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">AppendableMemory</A>&lt;Col&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/ColumnRange.html#getForAppending(ch.javasoft.metabolic.efm.borndie.BornDieController)">getForAppending</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/BornDieController.html" title="class in ch.javasoft.metabolic.efm.borndie">BornDieController</A>&lt;Col&gt;&nbsp;controller)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the memory for appending modes to the born-die matrix cell
 identified by this cell range.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.metabolic.efm.borndie.range.RectangularRange"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.metabolic.efm.borndie.range.<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html" title="interface in ch.javasoft.metabolic.efm.borndie.range">RectangularRange</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html#cellToIndex(int, int)">cellToIndex</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html#getBornColumnFrom()">getBornColumnFrom</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html#getBornColumnTo()">getBornColumnTo</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html#getColumnHeight()">getColumnHeight</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html#getDieRowFrom()">getDieRowFrom</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html#getDieRowTo()">getDieRowTo</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html#getLowerLeft()">getLowerLeft</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html#getLowerRight()">getLowerRight</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html#getRowWidth()">getRowWidth</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html#getUpperLeft()">getUpperLeft</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html#getUpperRight()">getUpperRight</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/RectangularRange.html#indexToCell(int)">indexToCell</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.metabolic.efm.borndie.range.Range"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.metabolic.efm.borndie.range.<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/Range.html" title="interface in ch.javasoft.metabolic.efm.borndie.range">Range</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/Range.html#contains(ch.javasoft.metabolic.efm.borndie.range.CellRange)">contains</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/Range.html#contains(int, int)">contains</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/Range.html#getCellCount()">getCellCount</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/Range.html#iterator()">iterator</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getBornColumn()"><!-- --></A><H3>
getBornColumn</H3>
<PRE>
int <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/range/ColumnRange.html#line.51"><B>getBornColumn</B></A>()</PRE>
<DL>
<DD>Returns the born column index of this cell
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getForAppending(ch.javasoft.metabolic.efm.borndie.BornDieController)"><!-- --></A><H3>
getForAppending</H3>
<PRE>
&lt;Col extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt; <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/AppendableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">AppendableMemory</A>&lt;Col&gt; <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/range/ColumnRange.html#line.68"><B>getForAppending</B></A>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/BornDieController.html" title="class in ch.javasoft.metabolic.efm.borndie">BornDieController</A>&lt;Col&gt;&nbsp;controller)
                                                     throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalStateException.html" title="class or interface in java.lang">IllegalStateException</A>,
                                                            <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Returns the memory for appending modes to the born-die matrix cell
 identified by this cell range. The appended modes are demultiplexed to
 the cells in the born-die matrix, according to the first non-feasible 
 flux value in the appended mode data.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>controller</CODE> - the born/die controller
<DT><B>Returns:</B><DD>the memory for appending
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalStateException.html" title="class or interface in java.lang">IllegalStateException</A></CODE> - if the underlying cell is not in the
                                                                        <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/matrix/CellStage.html#Accumulating"><CODE>Accumulating</CODE></A> 
                                                                        stage
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if an i/o exception occurs, e.g. due to file-based 
                                                memory</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ColumnRange.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/CellRange.html" title="interface in ch.javasoft.metabolic.efm.borndie.range"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/range/DefaultCellRange.html" title="class in ch.javasoft.metabolic.efm.borndie.range"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/borndie/range/ColumnRange.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ColumnRange.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
